<mat-sidenav-container class="sidenav-container">
  <mat-sidenav
    #drawer
    class="sidenav"
    [ngClass]="{ hidden: (isHandset$ | async) === false }"
    fixedInViewport="false"
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="(isHandset$ | async) === false"
  >
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a
        *ngFor="let link of links"
        class="mat-focus-indicator link-active"
        mat-list-item
        href="#"
        >{{ link }}</a
      >
    </mat-nav-list>
    <span class="dark-mode">
      <mat-slide-toggle
        checked="{{ isDarkMode }}"
        (change)="onDarkModeSwichted($event)"
      >
        Dark Mode
      </mat-slide-toggle>
    </span>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary" class="mat-elevation-z6">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async"
      >
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span style="margin-right: 0.5rem">ng4-complete-guide</span>
      <div *ngIf="(isHandset$ | async) === false">
        <a *ngFor="let link of links" mat-button href="#">{{ link }} </a>
      </div>

      <span *ngIf="(isHandset$ | async) === false" class="dark-mode">
        <button class="test-menu" mat-button [matMenuTriggerFor]="manage">
          Manage
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #manage="matMenu">
          <button mat-menu-item>Save Data</button>
          <button mat-menu-item>Fetch Data</button>
        </mat-menu>
        <mat-slide-toggle
          checked="{{ isDarkMode }}"
          (change)="onDarkModeSwichted($event)"
        >
          Dark Mode
        </mat-slide-toggle>
      </span>
    </mat-toolbar>
    <!-- Welcome Dashboard -->
    <ng-content></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>
